# Class ConnectionReconnectedEvent

java.lang.Object
java.util.EventObject
com.sun.messaging.jms.notification.Event
com.sun.messaging.jms.notification.ConnectionEvent
com.sun.messaging.jms.notification.ConnectionReconnectedEvent

All Implemented Interfaces:
  `Serializable`

public class ConnectionReconnectedEvent extends ConnectionEvent
MQ Connection Reconnected Event is generated and delivered to the event listener if the MQ client runtime reconnected to a broker and an event listener is set to the MQ connection.

The application can obtain the current broker's address from the API provided.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CONNECTION_RECONNECTED`
  Connection reconnected event code.

  ### Fields inherited from class ConnectionEvent

  `connection`

  ### Fields inherited from class EventObject

  `source`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConnectionReconnectedEvent(Connection conn, String evCode, String evMessage)`
  Construct a connection reconnect event.

- ## Method Summary

  ### Methods inherited from class ConnectionEvent

  `getBrokerAddress, getConnection, getSource`

  ### Methods inherited from class Event

  `getEventCode, getEventMessage, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### CONNECTION_RECONNECTED

    public static final String CONNECTION_RECONNECTED
    Connection reconnected event code.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ConnectionReconnectedEvent

    public ConnectionReconnectedEvent(Connection conn, String evCode, String evMessage)
    Construct a connection reconnect event.
    Parameters:
      `conn` - the connection associated with this event object.
      `evCode` - the event code that represents this event object.
      `evMessage` - the event message that describes this event object.